#!/usr/bin/make -f

export PG_SUPPORTED_VERSIONS = pgdg

include /usr/share/postgresql-common/pgxs_debian_control.mk

export PYBUILD_NAME=multicorn
export PYTHON_OVERRIDE=python3

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	# skip; we need to compile for each PG major separately

# ignore testsuite failure until #795590 is resolved
# (upstream https://github.com/Kozea/Multicorn/issues/128)
override_dh_auto_test:
	-dh_auto_test --buildsystem=pybuild

override_dh_auto_install:
#	Build the extension via pg_buildext.
	+set -ex; \
	for version in $(shell pg_buildext supported-versions); do \
	  $(MAKE) clean; \
	  python3 setup.py clean; \
	  PG_CONFIG=/usr/lib/postgresql/$$version/bin/pg_config python3 setup.py build; \
	  python3 setup.py install --root $(CURDIR)/debian/postgresql-$$version-python3-multicorn; \
	  pg_buildext build-$$version .; \
	  pg_buildext install-$$version . . postgresql-%v-python3-multicorn; \
	done

override_dh_installdocs:
	dh_installdocs --all README*

override_dh_auto_clean:
	$(MAKE) clean
	dh_auto_clean
	rm -rf regression.diffs regression.out results .cache
	mkdir results # prepare results dir for next adt run
